import type { BuilderBlock } from "../../types/builder-block";
declare type Column = {
    blocks: any;
    width?: number;
};
declare type StackColumnsAt = "tablet" | "mobile" | "never";
export interface ColumnProps {
    columns?: Column[];
    builderBlock: BuilderBlock;
    space?: number;
    stackColumnsAt?: StackColumnsAt;
    reverseColumnsWhenStacked?: boolean;
}
export declare const getGutterSize: (props: any, state: any) => any;
export declare const getColumns: (props: any, state: any) => any;
export declare const getWidth: (props: any, state: any, index: number) => any;
export declare const getColumnCssWidth: (props: any, state: any, index: number) => string;
export declare const maybeApplyForTablet: (props: any, state: any, prop: string | undefined) => string | undefined;
export declare const columnsCssVars: (props: any, state: any) => {
    "--flex-dir": string;
    "--flex-dir-tablet": string | undefined;
};
export declare const columnCssVars: (props: any, state: any) => {
    "--column-width": string;
    "--column-margin-left": string;
    "--column-width-tablet": string | undefined;
    "--column-margin-left-tablet": string | undefined;
};
export declare const Columns: import("@builder.io/qwik").Component<ColumnProps>;
export default Columns;
export declare const STYLES = ".div-Columns { \ndisplay: flex;\nalign-items: stretch;\nline-height: normal; }@media (max-width: 991px) { .div-Columns { \nflex-direction: var(--flex-dir-tablet); } }@media (max-width: 639px) { .div-Columns { \nflex-direction: var(--flex-dir); } }.div-Columns-2 { \ndisplay: flex;\nflex-direction: column;\nalign-items: stretch; }@media (max-width: 991px) { .div-Columns-2 { \nwidth: var(--column-width-tablet) !important;\nmargin-left: var(--column-margin-left-tablet) !important; } }@media (max-width: 639px) { .div-Columns-2 { \nwidth: var(--column-width) !important;\nmargin-left: var(--column-margin-left) !important; } }";
